# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xscdpmconsolesetup`](#dsc_xscdpmconsolesetup): The DSC xSCDPMConsoleSetup resource type. Automatically generated from version 1.2.0.0
* [`dsc_xscdpmdatabaseserversetup`](#dsc_xscdpmdatabaseserversetup): The DSC xSCDPMDatabaseServerSetup resource type. Automatically generated from version 1.2.0.0
* [`dsc_xscdpmserversetup`](#dsc_xscdpmserversetup): The DSC xSCDPMServerSetup resource type. Automatically generated from version 1.2.0.0

## Resource types

### `dsc_xscdpmconsolesetup`

The DSC xSCDPMConsoleSetup resource type.
Automatically generated from version 1.2.0.0

#### Properties

The following properties are available in the `dsc_xscdpmconsolesetup` type.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

#### Parameters

The following parameters are available in the `dsc_xscdpmconsolesetup` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the DPM console is expected to be installed on the machine. Present {default}  
Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscdpmdatabaseserversetup`

The DSC xSCDPMDatabaseServerSetup resource type.
Automatically generated from version 1.2.0.0

#### Properties

The following properties are available in the `dsc_xscdpmdatabaseserversetup` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

An enumerated value that describes if the DPM database support files are expected to be installed on the machine. Present {default}   Absent    

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

#### Parameters

The following parameters are available in the `dsc_xscdpmdatabaseserversetup` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `dsc_sourcepath`

namevar

Data type: `String`

UNC path to the root of the source files for installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscdpmserversetup`

The DSC xSCDPMServerSetup resource type.
Automatically generated from version 1.2.0.0

#### Properties

The following properties are available in the `dsc_xscdpmserversetup` type.

##### `dsc_companyname`

Data type: `Optional[String]`

Company name that the software will be registered to.

##### `dsc_productkey`

Data type: `Optional[String]`

Product key for licensed installations.

##### `dsc_programfiles`

Data type: `Optional[String]`

Installation path for the software.

##### `dsc_reportinginstancename`

Data type: `String`

SQL instance for reporting.

##### `dsc_reportingmachinename`

Data type: `String`

Name of the SQL server for reporting.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source filesfor installation.

##### `dsc_username`

Data type: `Optional[String]`

User name that the software will be registered to.

##### `dsc_yukoninstancename`

Data type: `String`

SQL instance for the DPM database.

##### `dsc_yukonmachinename`

Data type: `String`

Name of the SQL server for the DPM database.

#### Parameters

The following parameters are available in the `dsc_xscdpmserversetup` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the DPM server is expected to be installed on the machine. Present {default}  
Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_reportingmachinecredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to access SQL reporting for DPM at installation time.

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `dsc_yukonmachinecredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to access the SQL instance for DPM at installation time.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

